﻿.allCourses {
    background-position: center center;
    border: 1px solid lightgray;
    border-top: 0px;
    padding-top: 5px;
    margin-bottom: 5px;
}

    .allCourses .courseCatalogBoxTable .elementIcon {
        text-align: center;
        width: 250px;
    }

        .allCourses .courseCatalogBoxTable .elementIcon img {
            max-width: 128px;
            max-height: 128px;
        }

    .allCourses .courseCatalogBoxTable iframe {
        border: 0px;
    }

    .allCourses .courseCatalogBoxTable {
        border: 1px solid lightgray;
        border-radius: 3px;
        transition: box-shadow .2s;
        margin: 8px;
        padding: 0px;
    }

        .allCourses .courseCatalogBoxTable:first-child {
            margin-top: 0px;
        }

        .allCourses .courseCatalogBoxTable > table {
            min-height: 80px;
        }

        .allCourses .courseCatalogBoxTable.hasStatus {
            border-left-width: 3px;
            border-top-left-radius: 5px;
            border-bottom-left-radius: 5px;
        }

        .allCourses .courseCatalogBoxTable.notEnrolled {
            background-color: floralwhite;
        }

        .allCourses .courseCatalogBoxTable:hover {
            box-shadow: 0px 0px 22px -6px rgba(0,0,0,0.53);
        }

        .allCourses .courseCatalogBoxTable .elementRow > td {
            vertical-align: middle;
        }

        .allCourses .courseCatalogBoxTable .mainCourseInfo {
            text-align: left;
            position: relative;
            padding-bottom: 30px;
            width: 100%;
        }

        .allCourses .courseCatalogBoxTable .elTrDeadline {
            position: absolute;
            padding-top: 5px;
        }

            .allCourses .courseCatalogBoxTable .elTrDeadline .imgDeadline {
                width: 14px;
                height: 14px;
                background-repeat: no-repeat;
                background-image: url('icons/Datepicker.png');
            }

            .allCourses .courseCatalogBoxTable .elTrDeadline .elDescDeadline.expired {
                color: red;
            }

        .allCourses .courseCatalogBoxTable .elementName {
            max-width: none;
            text-align: left;
            cursor: pointer;
            max-height: 50px;
            overflow: auto;
        }

        .allCourses .courseCatalogBoxTable:hover .elementName {
            text-decoration: underline;
        }

        .allCourses .courseCatalogBoxTable .elDet {
            text-align: left;
            font-size: 10pt;
            padding: 2px;
        }

    .allCourses .notFound {
        margin-bottom: 5px;
    }

    .allCourses .courseCatalogBoxTable input.actionButton {
        font-weight: bold;
        font-size: 10pt;
        min-width: 120px;
        min-height: 35px;
        transition: background-color .3s, box-shadow .5s;
    }

    .allCourses .courseCatalogBoxTable .elementInBoxDetail {
        width: 250px;
        font-size: 14px;
    }

        .allCourses .courseCatalogBoxTable .elementInBoxDetail th, .allCourses .courseCatalogBoxTable .elementInBoxDetail td {
            vertical-align: middle;
            white-space: nowrap;
        }

        .allCourses .courseCatalogBoxTable .elementInBoxDetail th {
            text-align: right;
        }

        .allCourses .courseCatalogBoxTable .elementInBoxDetail td {
            text-align: left;
        }

    .allCourses .courseCatalogBoxTable .elementButtonOrMessage {
        width: 200px;
        text-align: center;
        font-size: 14px;
    }

    .allCourses .courseContent {
        border-top: 1px solid #EFEFEF;
    }

    .allCourses .elementInBoxDetail .elImgStat {
        width: 24px;
        height: 24px;
        border: 1px solid lightgray;
        border-radius: 12px;
        background-color: white;
        background-position: center center;
        background-size: 16px;
        background-repeat: no-repeat;
        background-image: url('Icons/Track/enroll-canceled.png');
    }

        .allCourses .elementInBoxDetail .elImgStat.NS, .allCourses .elementInBoxDetail .elImgStat.UN, .allCourses .elementInBoxDetail .elImgStat.DO {
            background-image: url('Icons/Track/enroll-enrolled.png');
        }

        .allCourses .elementInBoxDetail .elImgStat.AP {
            background-image: url('Icons/Track/enroll-approved.png');
        }

        .allCourses .elementInBoxDetail .elImgStat.RP {
            background-image: url('Icons/Track/enroll-reproved.png');
        }

        .allCourses .elementInBoxDetail .elImgStat.EX {
            background-image: url('Icons/Track/enroll-expired.png');
        }

    .allCourses .elProgressBar,
    .allCourses .elProfitBar {
        position: relative;
        height: 15px;
        padding: 0px;
        border: 1px solid #ddd;
    }

        .allCourses .elProgressBar .ui-widget-header,
        .allCourses .elProfitBar .ui-widget-header {
            background: #dfe9f5;
        }

.CourseCatalogUser .RadTabStrip .tabAddInfo {
    border: 1px solid lightgray;
    background-color: white;
    color: black;
    border-radius: 10px;
    min-width: 20px;
    height: 20px;
    line-height: 18px;
    vertical-align: middle;
    margin: 0px;
    padding-left: 3px;
    padding-right: 3px;
    font-weight: normal;
    display: none;
    margin-top: -2px;
}

.CourseCatalogUser .searchParams {
    margin-bottom: 2px;
    position: relative;
    transition: background-color .5s;
    z-index: 1;
}

    .CourseCatalogUser .searchParams.filterApplied {
        background-color: #FFECEC;
    }

.CourseCatalogUser .searchControls {
    display: inline-block;
    margin: 10px 0;
}

.CourseCatalogUser .searchParams .filterAlert {
    display: none;
    color: red;
    vertical-align: middle;
}

.CourseCatalogUser .searchParams.filterApplied .filterAlert {
    display: inline-block;
}

.CourseCatalogUser .searchParams .searchResultPagesBox {
    position: absolute;
    bottom: -50px;
    right: 0px;
    margin: 10px 0 20px 0;
}

.CourseCatalogUser .searchParams .searchButton {
    background-color: white;
    background-image: url('Icons/search.png');
    width: 26px;
    min-height: 26px;
    background-repeat: no-repeat;
    background-position: center center;
}


.CourseCatalogUser .userSelector hr {
    border: 0;
    border-bottom: 1px solid #ccc;
    height: 1px;
}

.allCourses .courseCatalogBoxTable .elementRow > div {
    display: flex;
    align-items: center;
}

    .allCourses .courseCatalogBoxTable .elementRow > div:first-child {
        flex-grow: 1;
    }

.CourseCatalogUser .searchParams .cleanButton {
    background-color: white;
    background-image: url('Icons/Cleanfilter.png');
    width: 26px;
    min-height: 26px;
    background-repeat: no-repeat;
    background-position: center center;
}

@media screen and (max-width: 1000px) {
    .allCourses .courseCatalogBoxTable .elementRow {
        flex-direction: column;
        align-items: center;
    }

        .allCourses .courseCatalogBoxTable .elementRow > div {
            width: 100%;
        }

            .allCourses .courseCatalogBoxTable .elementRow > div:nth-child(2) {
                padding: 20px 0 10px 0;
            }

                .allCourses .courseCatalogBoxTable .elementRow > div:nth-child(2) .elementButtonOrMessage {
                    width: 100%;
                }
}

@media screen and (max-width: 680px) {
    .allCourses .courseCatalogBoxTable .elementRow > div:first-child {
        flex-direction: column;
    }

    .allCourses .courseCatalogBoxTable .elementIcon {
        display: none;
    }

    .allCourses .courseCatalogBoxTable .elTrDeadline .imgDeadline {
        display: none;
    }

    .allCourses .courseCatalogBoxTable .elementInBoxDetail {
        margin-top: 10px;
    }

    .CourseCatalogUser .RadTabStrip .tabAddInfo {
        display: none !important;
    }

    .CourseCatalogUser .searchParams .searchResultPagesBox {
        position: unset;        
    }
}
